## nvidia-cg-toolkit 3.0.0007

=== local/Cg/examples/Tools/Makefile ===
# Makefile for GNU make

.PHONY: all cginfo cgfxcat trace traceCg traceCgGL traceGL traceGLUT .DEFAULT 

all: cginfo cgfxcat trace traceCg traceCgGL traceGL traceGLUT 

cginfo:
	$(MAKE) -C cginfo -f Makefile.cginfo cginfo

cgfxcat:
	$(MAKE) -C cgfxcat -f Makefile.cgfxcat cgfxcat

trace:
	$(MAKE) -C trace -f Makefile.trace trace

traceCg:
	$(MAKE) -C trace -f Makefile.traceCg traceCg

traceCgGL:
	$(MAKE) -C trace -f Makefile.traceCgGL traceCgGL

traceGL:
	$(MAKE) -C trace -f Makefile.traceGL traceGL

traceGLUT:
	$(MAKE) -C trace -f Makefile.traceGLUT traceGLUT

.DEFAULT:
	$(MAKE) -C cginfo -f Makefile.cginfo $@
	$(MAKE) -C cgfxcat -f Makefile.cgfxcat $@
	$(MAKE) -C trace -f Makefile.trace $@
	$(MAKE) -C trace -f Makefile.traceCg $@
	$(MAKE) -C trace -f Makefile.traceCgGL $@
	$(MAKE) -C trace -f Makefile.traceGL $@
	$(MAKE) -C trace -f Makefile.traceGLUT $@

=== local/Cg/examples/OpenGL/advanced/Makefile ===
# Makefile for GNU make

.PHONY: all cgfx_bumpdemo cgfx_bumpdemo_array cgfx_bumpdemo2 cgfx_interfaces cgfx_latest cgfx_boxfilter cgfx_procfx cgfx_texture_array cgfx_tessellation combine_program combine_info custom_state_assignments generic_attribs gs_md2bump gs_md2shadowvol gs_md2shadow gs_shrinky gs_simple gs_quadnormal gs_interp_quad include_string interpolation_modifier texture_array buffer_lighting vertex_texture tess_simple tess_bezier cgfx_buffer_lighting .DEFAULT 

all: cgfx_bumpdemo cgfx_bumpdemo_array cgfx_bumpdemo2 cgfx_interfaces cgfx_latest cgfx_boxfilter cgfx_procfx cgfx_texture_array cgfx_tessellation combine_program combine_info custom_state_assignments generic_attribs gs_md2bump gs_md2shadowvol gs_md2shadow gs_shrinky gs_simple gs_quadnormal gs_interp_quad include_string interpolation_modifier texture_array buffer_lighting vertex_texture tess_simple tess_bezier cgfx_buffer_lighting 

cgfx_bumpdemo:
	$(MAKE) -C cgfx_bumpdemo -f Makefile.cgfx_bumpdemo cgfx_bumpdemo

cgfx_bumpdemo_array:
	$(MAKE) -C cgfx_bumpdemo_array -f Makefile.cgfx_bumpdemo_array cgfx_bumpdemo_array

cgfx_bumpdemo2:
	$(MAKE) -C cgfx_bumpdemo -f Makefile.cgfx_bumpdemo2 cgfx_bumpdemo2

cgfx_interfaces:
	$(MAKE) -C cgfx_interfaces -f Makefile.cgfx_interfaces cgfx_interfaces

cgfx_latest:
	$(MAKE) -C cgfx_latest -f Makefile.cgfx_latest cgfx_latest

cgfx_boxfilter:
	$(MAKE) -C cgfx_boxfilter -f Makefile.cgfx_boxfilter cgfx_boxfilter

cgfx_procfx:
	$(MAKE) -C cgfx_procfx -f Makefile.cgfx_procfx cgfx_procfx

cgfx_texture_array:
	$(MAKE) -C cgfx_texture_array -f Makefile.cgfx_texture_array cgfx_texture_array

cgfx_tessellation:
	$(MAKE) -C cgfx_tessellation -f Makefile.cgfx_tessellation cgfx_tessellation

combine_program:
	$(MAKE) -C combine_program -f Makefile.combine_program combine_program

combine_info:
	$(MAKE) -C combine_program -f Makefile.combine_info combine_info

custom_state_assignments:
	$(MAKE) -C custom_state_assignments -f Makefile.custom_state_assignments custom_state_assignments

generic_attribs:
	$(MAKE) -C generic_attribs -f Makefile.generic_attribs generic_attribs

gs_md2bump:
	$(MAKE) -C gs_md2render -f Makefile.gs_md2bump gs_md2bump

gs_md2shadowvol:
	$(MAKE) -C gs_md2render -f Makefile.gs_md2shadowvol gs_md2shadowvol

gs_md2shadow:
	$(MAKE) -C gs_md2render -f Makefile.gs_md2shadow gs_md2shadow

gs_shrinky:
	$(MAKE) -C gs_shrinky -f Makefile.gs_shrinky gs_shrinky

gs_simple:
	$(MAKE) -C gs_simple -f Makefile.gs_simple gs_simple

gs_quadnormal:
	$(MAKE) -C gs_quadnormal -f Makefile.gs_quadnormal gs_quadnormal

gs_interp_quad:
	$(MAKE) -C gs_interp_quad -f Makefile.gs_interp_quad gs_interp_quad

include_string:
	$(MAKE) -C include_string -f Makefile.include_string include_string

interpolation_modifier:
	$(MAKE) -C interpolation_modifier -f Makefile.interpolation_modifier interpolation_modifier

texture_array:
	$(MAKE) -C texture_array -f Makefile.texture_array texture_array

buffer_lighting:
	$(MAKE) -C buffer_lighting -f Makefile.buffer_lighting buffer_lighting

vertex_texture:
	$(MAKE) -C vertex_texture -f Makefile.vertex_texture vertex_texture

tess_simple:
	$(MAKE) -C tess_simple -f Makefile.tess_simple tess_simple

tess_bezier:
	$(MAKE) -C tess_bezier -f Makefile.tess_bezier tess_bezier

cgfx_buffer_lighting:
	$(MAKE) -C cgfx_buffer_lighting -f Makefile.cgfx_buffer_lighting cgfx_buffer_lighting

.DEFAULT:
	$(MAKE) -C cgfx_bumpdemo -f Makefile.cgfx_bumpdemo $@
	$(MAKE) -C cgfx_bumpdemo_array -f Makefile.cgfx_bumpdemo_array $@
	$(MAKE) -C cgfx_bumpdemo -f Makefile.cgfx_bumpdemo2 $@
	$(MAKE) -C cgfx_interfaces -f Makefile.cgfx_interfaces $@
	$(MAKE) -C cgfx_latest -f Makefile.cgfx_latest $@
	$(MAKE) -C cgfx_boxfilter -f Makefile.cgfx_boxfilter $@
	$(MAKE) -C cgfx_procfx -f Makefile.cgfx_procfx $@
	$(MAKE) -C cgfx_texture_array -f Makefile.cgfx_texture_array $@
	$(MAKE) -C cgfx_tessellation -f Makefile.cgfx_tessellation $@
	$(MAKE) -C combine_program -f Makefile.combine_program $@
	$(MAKE) -C combine_program -f Makefile.combine_info $@
	$(MAKE) -C custom_state_assignments -f Makefile.custom_state_assignments $@
	$(MAKE) -C generic_attribs -f Makefile.generic_attribs $@
	$(MAKE) -C gs_md2render -f Makefile.gs_md2bump $@
	$(MAKE) -C gs_md2render -f Makefile.gs_md2shadowvol $@
	$(MAKE) -C gs_md2render -f Makefile.gs_md2shadow $@
	$(MAKE) -C gs_shrinky -f Makefile.gs_shrinky $@
	$(MAKE) -C gs_simple -f Makefile.gs_simple $@
	$(MAKE) -C gs_quadnormal -f Makefile.gs_quadnormal $@
	$(MAKE) -C gs_interp_quad -f Makefile.gs_interp_quad $@
	$(MAKE) -C include_string -f Makefile.include_string $@
	$(MAKE) -C interpolation_modifier -f Makefile.interpolation_modifier $@
	$(MAKE) -C texture_array -f Makefile.texture_array $@
	$(MAKE) -C buffer_lighting -f Makefile.buffer_lighting $@
	$(MAKE) -C vertex_texture -f Makefile.vertex_texture $@
	$(MAKE) -C tess_simple -f Makefile.tess_simple $@
	$(MAKE) -C tess_bezier -f Makefile.tess_bezier $@
	$(MAKE) -C cgfx_buffer_lighting -f Makefile.cgfx_buffer_lighting $@

=== local/Cg/examples/OpenGL/basic/Makefile ===
# Makefile for GNU make

.PHONY: all 01_vertex_program 02_vertex_and_fragment_program 03_uniform_parameter 04_varying_parameter 05_texture_sampling 06_vertex_twisting 07_two_texture_accesses 08_vertex_transform 09_vertex_lighting 10_fragment_lighting 11_two_lights_with_structs 12_light_attenuation 13_spotlight 14_bulge 15_particle_system 16_keyframe_interpolation 18_cube_map_reflection 19_cube_map_refraction 20_chromatic_dispersion 21_bump_map_wall 22_specular_bump_map 23_bump_map_floor 24_bump_map_torus 25_uniform_fog 26_toon_shading 27_projective_texturing .DEFAULT 

all: 01_vertex_program 02_vertex_and_fragment_program 03_uniform_parameter 04_varying_parameter 05_texture_sampling 06_vertex_twisting 07_two_texture_accesses 08_vertex_transform 09_vertex_lighting 10_fragment_lighting 11_two_lights_with_structs 12_light_attenuation 13_spotlight 14_bulge 15_particle_system 16_keyframe_interpolation 18_cube_map_reflection 19_cube_map_refraction 20_chromatic_dispersion 21_bump_map_wall 22_specular_bump_map 23_bump_map_floor 24_bump_map_torus 25_uniform_fog 26_toon_shading 27_projective_texturing 

01_vertex_program:
	$(MAKE) -C 01_vertex_program -f Makefile.01_vertex_program 01_vertex_program

02_vertex_and_fragment_program:
	$(MAKE) -C 02_vertex_and_fragment_program -f Makefile.02_vertex_and_fragment_program 02_vertex_and_fragment_program

03_uniform_parameter:
	$(MAKE) -C 03_uniform_parameter -f Makefile.03_uniform_parameter 03_uniform_parameter

04_varying_parameter:
	$(MAKE) -C 04_varying_parameter -f Makefile.04_varying_parameter 04_varying_parameter

05_texture_sampling:
	$(MAKE) -C 05_texture_sampling -f Makefile.05_texture_sampling 05_texture_sampling

06_vertex_twisting:
	$(MAKE) -C 06_vertex_twisting -f Makefile.06_vertex_twisting 06_vertex_twisting

07_two_texture_accesses:
	$(MAKE) -C 07_two_texture_accesses -f Makefile.07_two_texture_accesses 07_two_texture_accesses

08_vertex_transform:
	$(MAKE) -C 08_vertex_transform -f Makefile.08_vertex_transform 08_vertex_transform

09_vertex_lighting:
	$(MAKE) -C 09_vertex_lighting -f Makefile.09_vertex_lighting 09_vertex_lighting

10_fragment_lighting:
	$(MAKE) -C 10_fragment_lighting -f Makefile.10_fragment_lighting 10_fragment_lighting

11_two_lights_with_structs:
	$(MAKE) -C 11_two_lights_with_structs -f Makefile.11_two_lights_with_structs 11_two_lights_with_structs

12_light_attenuation:
	$(MAKE) -C 12_light_attenuation -f Makefile.12_light_attenuation 12_light_attenuation

13_spotlight:
	$(MAKE) -C 13_spotlight -f Makefile.13_spotlight 13_spotlight

14_bulge:
	$(MAKE) -C 14_bulge -f Makefile.14_bulge 14_bulge

15_particle_system:
	$(MAKE) -C 15_particle_system -f Makefile.15_particle_system 15_particle_system

16_keyframe_interpolation:
	$(MAKE) -C 16_keyframe_interpolation -f Makefile.16_keyframe_interpolation 16_keyframe_interpolation

18_cube_map_reflection:
	$(MAKE) -C 18_cube_map_reflection -f Makefile.18_cube_map_reflection 18_cube_map_reflection

19_cube_map_refraction:
	$(MAKE) -C 19_cube_map_refraction -f Makefile.19_cube_map_refraction 19_cube_map_refraction

20_chromatic_dispersion:
	$(MAKE) -C 20_chromatic_dispersion -f Makefile.20_chromatic_dispersion 20_chromatic_dispersion

21_bump_map_wall:
	$(MAKE) -C 21_bump_map_wall -f Makefile.21_bump_map_wall 21_bump_map_wall

22_specular_bump_map:
	$(MAKE) -C 22_specular_bump_map -f Makefile.22_specular_bump_map 22_specular_bump_map

23_bump_map_floor:
	$(MAKE) -C 23_bump_map_floor -f Makefile.23_bump_map_floor 23_bump_map_floor

24_bump_map_torus:
	$(MAKE) -C 24_bump_map_torus -f Makefile.24_bump_map_torus 24_bump_map_torus

25_uniform_fog:
	$(MAKE) -C 25_uniform_fog -f Makefile.25_uniform_fog 25_uniform_fog

26_toon_shading:
	$(MAKE) -C 26_toon_shading -f Makefile.26_toon_shading 26_toon_shading

27_projective_texturing:
	$(MAKE) -C 27_projective_texturing -f Makefile.27_projective_texturing 27_projective_texturing

.DEFAULT:
	$(MAKE) -C 01_vertex_program -f Makefile.01_vertex_program $@
	$(MAKE) -C 02_vertex_and_fragment_program -f Makefile.02_vertex_and_fragment_program $@
	$(MAKE) -C 03_uniform_parameter -f Makefile.03_uniform_parameter $@
	$(MAKE) -C 04_varying_parameter -f Makefile.04_varying_parameter $@
	$(MAKE) -C 05_texture_sampling -f Makefile.05_texture_sampling $@
	$(MAKE) -C 06_vertex_twisting -f Makefile.06_vertex_twisting $@
	$(MAKE) -C 07_two_texture_accesses -f Makefile.07_two_texture_accesses $@
	$(MAKE) -C 08_vertex_transform -f Makefile.08_vertex_transform $@
	$(MAKE) -C 09_vertex_lighting -f Makefile.09_vertex_lighting $@
	$(MAKE) -C 10_fragment_lighting -f Makefile.10_fragment_lighting $@
	$(MAKE) -C 11_two_lights_with_structs -f Makefile.11_two_lights_with_structs $@
	$(MAKE) -C 12_light_attenuation -f Makefile.12_light_attenuation $@
	$(MAKE) -C 13_spotlight -f Makefile.13_spotlight $@
	$(MAKE) -C 14_bulge -f Makefile.14_bulge $@
	$(MAKE) -C 15_particle_system -f Makefile.15_particle_system $@
	$(MAKE) -C 16_keyframe_interpolation -f Makefile.16_keyframe_interpolation $@
	$(MAKE) -C 18_cube_map_reflection -f Makefile.18_cube_map_reflection $@
	$(MAKE) -C 19_cube_map_refraction -f Makefile.19_cube_map_refraction $@
	$(MAKE) -C 20_chromatic_dispersion -f Makefile.20_chromatic_dispersion $@
	$(MAKE) -C 21_bump_map_wall -f Makefile.21_bump_map_wall $@
	$(MAKE) -C 22_specular_bump_map -f Makefile.22_specular_bump_map $@
	$(MAKE) -C 23_bump_map_floor -f Makefile.23_bump_map_floor $@
	$(MAKE) -C 24_bump_map_torus -f Makefile.24_bump_map_torus $@
	$(MAKE) -C 25_uniform_fog -f Makefile.25_uniform_fog $@
	$(MAKE) -C 26_toon_shading -f Makefile.26_toon_shading $@
	$(MAKE) -C 27_projective_texturing -f Makefile.27_projective_texturing $@

=== local/Cg/examples/OpenGL/glew/Makefile ===
# Makefile for GNU make

.PHONY: all glew glewlib visualinfo glewinfo .DEFAULT 

all: glew glewlib visualinfo glewinfo 

glew:
	$(MAKE) -f Makefile.glew glew

glewlib:
	$(MAKE) -f Makefile.glewlib glewlib

visualinfo:
	$(MAKE) -f Makefile.visualinfo visualinfo

glewinfo:
	$(MAKE) -f Makefile.glewinfo glewinfo

.DEFAULT:
	$(MAKE) -f Makefile.glew $@
	$(MAKE) -f Makefile.glewlib $@
	$(MAKE) -f Makefile.visualinfo $@
	$(MAKE) -f Makefile.glewinfo $@

=== local/Cg/examples/Tools/cgfxcat/Makefile ===
# Makefile for GNU make

.PHONY: all cgfxcat .DEFAULT 

all: cgfxcat 

cgfxcat:
	$(MAKE) -f Makefile.cgfxcat cgfxcat

.DEFAULT:
	$(MAKE) -f Makefile.cgfxcat $@

=== local/Cg/examples/Tools/cginfo/Makefile ===
# Makefile for GNU make

.PHONY: all cginfo .DEFAULT 

all: cginfo 

cginfo:
	$(MAKE) -f Makefile.cginfo cginfo

.DEFAULT:
	$(MAKE) -f Makefile.cginfo $@

=== local/Cg/examples/Tools/trace/Makefile ===
# Makefile for GNU make

.PHONY: all trace traceCg traceCgGL traceGL traceGLUT .DEFAULT 

all: trace traceCg traceCgGL traceGL traceGLUT 

trace:
	$(MAKE) -f Makefile.trace trace

traceCg:
	$(MAKE) -f Makefile.traceCg traceCg

traceCgGL:
	$(MAKE) -f Makefile.traceCgGL traceCgGL

traceGL:
	$(MAKE) -f Makefile.traceGL traceGL

traceGLUT:
	$(MAKE) -f Makefile.traceGLUT traceGLUT

.DEFAULT:
	$(MAKE) -f Makefile.trace $@
	$(MAKE) -f Makefile.traceCg $@
	$(MAKE) -f Makefile.traceCgGL $@
	$(MAKE) -f Makefile.traceGL $@
	$(MAKE) -f Makefile.traceGLUT $@

=== local/Cg/examples/OpenGL/advanced/cgfx_boxfilter/Makefile ===
# Makefile for GNU make

.PHONY: all cgfx_boxfilter .DEFAULT 

all: cgfx_boxfilter 

cgfx_boxfilter:
	$(MAKE) -f Makefile.cgfx_boxfilter cgfx_boxfilter

.DEFAULT:
	$(MAKE) -f Makefile.cgfx_boxfilter $@

=== local/Cg/examples/OpenGL/advanced/cgfx_buffer_lighting/Makefile ===
# Makefile for GNU make

.PHONY: all cgfx_buffer_lighting .DEFAULT 

all: cgfx_buffer_lighting 

cgfx_buffer_lighting:
	$(MAKE) -f Makefile.cgfx_buffer_lighting cgfx_buffer_lighting

.DEFAULT:
	$(MAKE) -f Makefile.cgfx_buffer_lighting $@

=== local/Cg/examples/OpenGL/advanced/cgfx_tessellation/Makefile ===
# Makefile for GNU make

.PHONY: all cgfx_tessellation .DEFAULT 

all: cgfx_tessellation 

cgfx_tessellation:
	$(MAKE) -f Makefile.cgfx_tessellation cgfx_tessellation

.DEFAULT:
	$(MAKE) -f Makefile.cgfx_tessellation $@

=== local/Cg/examples/OpenGL/advanced/cgfx_texture_array/Makefile ===
# Makefile for GNU make

.PHONY: all cgfx_texture_array .DEFAULT 

all: cgfx_texture_array 

cgfx_texture_array:
	$(MAKE) -f Makefile.cgfx_texture_array cgfx_texture_array

.DEFAULT:
	$(MAKE) -f Makefile.cgfx_texture_array $@

=== local/Cg/examples/OpenGL/advanced/custom_state_assignments/Makefile ===
# Makefile for GNU make

.PHONY: all custom_state_assignments .DEFAULT 

all: custom_state_assignments 

custom_state_assignments:
	$(MAKE) -f Makefile.custom_state_assignments custom_state_assignments

.DEFAULT:
	$(MAKE) -f Makefile.custom_state_assignments $@

## nvidia-cg-toolkit 1.3.0501.0700-1

=== debian/changelog ===
nvidia-cg-toolkit (1.3.0501.0700-1) unstable; urgency=low

  * New upstream release of the Cg tools from NVIDIA.

 -- Federico Di Gregorio <fog@debian.org>  Sun, 27 Feb 2005 16:46:29 +0100

nvidia-cg-toolkit (1.3.0408.0400-3) unstable; urgency=low

  * Added copy of legal information from NVIDIA website.
  * Now libraries are copied to /usr/lib64 if the target architecture 
    is amd64.
  * Removed ia64 from supported architectures, NVIDIA does not provide
    libraries for it.

 -- Federico Di Gregorio <fog@debian.org>  Sat, 18 Dec 2004 15:28:43 +0100

nvidia-cg-toolkit (1.3.0408.0400-2) experimental; urgency=low

  * Added support for 64 bit architechtures (amd64).

 -- Federico Di Gregorio <fog@initd.org>  Mon, 20 Sep 2004 19:32:38 +0200

nvidia-cg-toolkit (1.3.0408.0400-1) experimental; urgency=low
  
  * Initial release.

 -- Federico Di Gregorio <fog@initd.org>  Mon, 20 Sep 2004 10:16:58 +0200

=== debian/control ===
Source: nvidia-cg-toolkit
Section: contrib/libs
Priority: optional
Maintainer: Federico Di Gregorio <fog@debian.org>
Build-Depends: debhelper (>> 3.0.0), docbook-to-man
Standards-Version: 3.6.1.0

Package: nvidia-cg-toolkit
Architecture: i386 amd64
Depends: python, debconf
Description: NVIDIA Cg Toolkit installer
 This package will download the latest NVIDIA Cg Toolkit from
 http://developer.nvidia.com and install it moving the file to the right
 locations. The toolkit includes the following components:
 .
   * NVIDIA Cg Compiler Release 1.3 Beta 2
   * CgFX Runtime
   * Cg User's Manual
   * Cg Language Specification
 .
 This package installs version 1.3 Beta 2 (August 2004).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
#	docbook-to-man update-flashplugin.sgml > update-flashplugin.8
#	touch build-stamp update-flashplugin.8

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp 
#	rm -f update-flashplugin.8
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -m 755 update-nvidia-cg-toolkit \
	  $(CURDIR)/debian/nvidia-cg-toolkit/usr/sbin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installcron
#	dh_installman update-flashplugin.8
	dh_installinfo
	dh_installchangelogs 
	dh_installdebconf
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## nvidia-cg-toolkit 1.3.0501.0700-3.2

=== debian/changelog ===
nvidia-cg-toolkit (1.3.0501.0700-3.2) unstable; urgency=low

  * Non-maintainer upload to include the French translation forgotten
    by the former NMU
  * French debconf transalation added.

 -- Christian Perrier <bubulle@debian.org>  Fri, 24 Nov 2006 14:18:17 +0100

nvidia-cg-toolkit (1.3.0501.0700-3.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Turn one debconf template to the error type. Closes: #388947
  * Rewrite the debconf templates to fix the Developer's Reference
    suggestions.
  * Switch to po-debconf for debconf templates translations
    Closes: #351388
  * Debconf translation updates:
    - Swedish. Closes: #331008
    - Czech added. Sent during the call for updates of the NMU campaign.
    - Brazilian Portuguese added. Sent during the call for updates of
      the NMU campaign.
    - Portuguese added. Sent during the call for updates of the NMU campaign.
    - Vietnamese added. Sent during the call for updates of the NMU campaign.
    - Russian added. Sent during the call for updates of the NMU campaign.
    - Swedish added. Sent during the call for updates of the NMU campaign.
    - german added. Sent during the call for updates of the NMU campaign.
  * Lintian fixes:
    - Use 4 as debhelper compatibility though debian/compat

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Nov 2006 12:14:46 +0100

nvidia-cg-toolkit (1.3.0501.0700-3) unstable; urgency=low

  * Added dependency on debconf-2.0. (Closes: #332050)
  
 -- Federico Di Gregorio <fog@debian.org>  Wed, 05 Oct 2005 10:22:00 +0200

nvidia-cg-toolkit (1.3.0501.0700-2) unstable; urgency=low

  * Applied patch from Drew Hess to fix a path bug.

 -- Federico Di Gregorio <fog@debian.org>  Thu, 19 May 2005 10:08:09 +0200

=== debian/control ===
Source: nvidia-cg-toolkit
Section: contrib/libs
Priority: optional
Maintainer: Federico Di Gregorio <fog@debian.org>
Build-Depends: debhelper (> 4.1.16), po-debconf, docbook-to-man
Standards-Version: 3.6.1.0

Package: nvidia-cg-toolkit
Architecture: i386 amd64
Depends: python, debconf | debconf-2.0
Description: NVIDIA Cg Toolkit installer
 This package will download the latest NVIDIA Cg Toolkit from
 http://developer.nvidia.com and install it, moving the files to the
 right locations. The toolkit includes the following components:
 .
   * NVIDIA Cg Compiler Release 1.3 Beta 2
   * CgFX Runtime
   * Cg User's Manual
   * Cg Language Specification
 .
 This package installs version 1.3 Beta 2 of the toolkit (August 2004).

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=3
 
 configure: configure-stamp
 configure-stamp:
@@ -24,6 +21,7 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp 
 #	rm -f update-flashplugin.8
+	debconf-updatepo
 	dh_clean
 
 install: build

## nvidia-cg-toolkit 1.5.0.0019-1

=== debian/changelog ===
nvidia-cg-toolkit (1.5.0.0019-1) unstable; urgency=low

  * New upstream version. Closes: #360077, #389106
  * Updated package description including Cg description from NVIDIA
    README file. Closes: #302112
  * Included updated spanish translation. Closes: #413780

 -- Federico Di Gregorio <fog@debian.org>  Wed, 07 Mar 2007 10:23:05 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,18 @@
 Description: NVIDIA Cg Toolkit installer
  This package will download the latest NVIDIA Cg Toolkit from
  http://developer.nvidia.com and install it, moving the files to the
- right locations. The toolkit includes the following components:
+ right locations. The Cg Toolkit provides a compiler for the Cg language,
+ runtime libraries for use with both leading graphics APIs, runtime
+ libraries for CgFX, example applications, and extensive documentation.
+ Supporting over 24 different OpenGL and DirectX profile targets, Cg will
+ allow you to incorporate stunning interactive effects into your 3D
+ applications. The components include:
  .
-   * NVIDIA Cg Compiler Release 1.3 Beta 2
+   * NVIDIA Cg Compiler Release 1.5
    * CgFX Runtime
    * Cg User's Manual
    * Cg Language Specification
+   * Examples programs and shaders
  .
- This package installs version 1.3 Beta 2 of the toolkit (August 2004).
+ This package installs version 1.5 of the toolkit (February 2007).
+

## nvidia-cg-toolkit 2.0.0010

=== debian/changelog ===
nvidia-cg-toolkit (2.0.0010) unstable; urgency=low

  [ Andres Mejia ]
  * New upstream version. Closes: #458907
  * It's possible to specify an http proxy when installing this package.
    Closes: #336072
  * Bumped Standards-Version to 3.7.3.
  * Added Homepage field in control file.
  * Added Vcs-{Git,Browser} field in control file.
  * Updated Description field for new Cg toolkit version.
    + Also modified description to state that it's only an installer.
      Closes: #309924
  * Fixed some grammatical errors in the copyright file.
    + Also recopied license from NVIDIA website and included information
      on the date the license was last modified.
  * Edited README.Debian to include contact information on where to report
    problems with the toolkit.
  * Removed redundant link to the homepage from README.Debian.
  * Changed path for update-nvidia-cg-toolkit, should be in /usr/bin.
  * Adding lintian override for directories left intentionally blank.
  * Fixed debian/rules, removing some unnecessary commands.
  * Add Provides and Conflicts field for libcg and libcggl, which is installed
    by the installer.
  * Use debhelper (>> 4.1.16), silences dpkg warning.
  * Script will also download spec file.
    + Changed some option parameters
  * Script will remove temporary directories if they were used.
  * Package installation will delete downloaded files by default to comply
    with the upstream license.
  * Script will run ldconfig at the end of install or uninstall.

 -- Andres Mejia <mcitadel@gmail.com>  Tue, 08 Jan 2008 16:19:02 -0500

nvidia-cg-toolkit (1.5.0023) unstable; urgency=low

  [ Andres Mejia ]
  * New upstream version. Closes: #446121
  * Bumped Standards-Version to 3.7.2.
  * Added myself in uploaders field.
  * Removing debian revision part in changelog version.
    + Silences lintian warning: native-package-with-dash-version.
  * Removing build dependency on docbook-to-man (wasn't being used).
  * Providing man page for update-nvidia-cg-toolkit.

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 22 Nov 2007 22:13:32 -0500

=== debian/control ===
Source: nvidia-cg-toolkit
Section: contrib/libs
Priority: optional
Maintainer: Federico Di Gregorio <fog@debian.org>
Uploaders: Andres Mejia <mcitadel@gmail.com>
Build-Depends: debhelper (>> 4.1.16), po-debconf
Homepage: http://developer.nvidia.com/object/cg_toolkit.html
Vcs-Git: git://git.debian.org/git/collab-maint/nvidia-cg-toolkit.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/nvidia-cg-toolkit.git
Standards-Version: 3.7.3

Package: nvidia-cg-toolkit
Architecture: i386 amd64
Depends: python, debconf | debconf-2.0
Provides: libcg, libcggl
Conflicts: libcg, libcggl
Description: NVIDIA Cg Toolkit Installer
 This package only contains the installer for the NVIDIA Cg Toolkit. The
 installer will download the NVIDIA Cg Toolkit from the NVIDIA Developer's
 website and install each file according to Debian Policy. This package
 installs the Cg toolkit released in December 2007.
 .
 The Cg Toolkit provides a compiler for the Cg 2.0 language, runtime libraries
 for use with both leading graphics APIs, runtime libraries for CgFX, example
 applications, and extensive documentation. Supporting over 25 different OpenGL
 and DirectX profile targets, Cg 2.0 will allow you to incorporate stunning
 interactive effects into your 3D applications.
 .
 The components include:
 .
     * NVIDIA Cg Compiler Release 2.0
     * Cg/CgFX Runtime libraries for OpenGL and Direct3D
     * Cg User's Manual
     * Documentation for the Cg
     * Language Specification, runtime APIs, Cg standard library, CgFX states,
       and the Cg profiles.
     * Cg examples

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f build-stamp ] || rm build-stamp
	debconf-updatepo
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install update-nvidia-cg-toolkit usr/bin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman debian/update-nvidia-cg-toolkit.1
	dh_install debian/nvidia-cg-toolkit.override usr/share/lintian/overrides
	mv debian/nvidia-cg-toolkit/usr/share/lintian/overrides/nvidia-cg-toolkit.override \
		debian/nvidia-cg-toolkit/usr/share/lintian/overrides/nvidia-cg-toolkit
	dh_installchangelogs 
	dh_installdebconf
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## nvidia-cg-toolkit 2.0.0015.deb1

=== debian/changelog ===
nvidia-cg-toolkit (2.0.0015.deb1) unstable; urgency=low

  * New upstream release. Closes: #482661
  * Provide license documentation provided in Cg toolkit in copyright file. Also
    provide copyright information.
  * Use ${misc:Depends} to add debconf dependencies.
  * Add updated Russian translations. Closes: #487122
  * Add updated Swedish translations. Closes: #488180
  * Add updated Portuguese translations. Closes: #489428
  * Bumped Standards-Version to 3.8.0.
  * Edited description to remove specific release notes.
  * Updated both manifest files.
  * Edit README.Debian and add note about availability of book
    "The Cg Tutorial".
  * Register documentation with doc-base.

 -- Andres Mejia <mcitadel@gmail.com>  Wed, 23 Jul 2008 11:55:46 -0400

nvidia-cg-toolkit (2.0.0012.deb6) unstable; urgency=low

  * Include updated french debconf translation. Closes: #480122

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 08 May 2008 15:48:09 -0400

nvidia-cg-toolkit (2.0.0012.deb5) unstable; urgency=low

  * Include updated german debconf translation. Closes: #479234
  * Include DM-Upload-Allowed: yes field.

 -- Andres Mejia <mcitadel@gmail.com>  Tue, 06 May 2008 14:04:15 -0400

nvidia-cg-toolkit (2.0.0012.deb4) unstable; urgency=low

  * Include ftp as part of proxy scheme when using proxy option.
  * Don't append downloads to file, just overwrite.
  * Fix problems with downloads. Closes: #471339
    + Needed to use Time::HiRes to prevent problem where script divided by zero.
  * Leave a copy of toolkit and spec file in /var/cache/nvidia-cg-toolkit.

 -- Andres Mejia <mcitadel@gmail.com>  Fri, 25 Apr 2008 15:46:01 -0400

nvidia-cg-toolkit (2.0.0012.deb3) unstable; urgency=low

  [ Andres Mejia ]
  * Fixed problem where --proxy option was being used when unnecessary.
  * Updated nvidia-cg-toolkit/http_proxy template.
  * Included updated Russian, German, and French translations.
    Closes: #471026
    Closes: #471180
    Closes: #472127
  * Minor update to TODO.Debian.
  * Script can now generate a manifest file.
    + Also writes combined total size of files that are installed.
  * Use recursive strategy for copying directories. No longer need
    libfile-copy-recursive-perl.
  * Compress certain documentation that are over 4kb in size.
  * Use maximum compression when compressing files.
  * Show progress when downloading files.
  * Print certain messages to STDERR.
  * Determine "release" information for generating manual page using
    dpkg-parsechangelog.
  * Added updated legal notice from NVIDIA website to copyright file.

 -- Andres Mejia <mcitadel@gmail.com>  Mon, 07 Apr 2008 20:05:37 -0400

nvidia-cg-toolkit (2.0.0012.deb2) unstable; urgency=low

  [ Andres Mejia ]
  * Fixed binary name in manual page and when specifying --help option for
    nvidia-cg-toolkit-installer.
  * Added another TODO.

 -- Andres Mejia <mcitadel@gmail.com>  Sat, 01 Mar 2008 16:26:28 -0500

nvidia-cg-toolkit (2.0.0012.deb1) unstable; urgency=low

  [ Andres Mejia ]
  * Changed Priority to extra.
  * Added proxy support. Closes: #462271
    + Using Perl module LWP::UserAgent for proxy support, thus
      update-nvidia-cg-toolkit has been converted to Perl script.
  * Renamed from update-nvidia-cg-toolkit to nvidia-cg-toolkit-installer.
    + Maintainer scripts have been updated for new script.
  * Old scripts have been deleted.
  * Updated control file for required Perl module packages.
  * Updated copyright file for new installer script.
  * Setting correct way to use proxy in postinst file.
  * Took out mention of older versions of NVIDIA Cg Toolkit from template file.
  * Grammer check done for template file.
  * Generate a man page using pod2man from nvidia-cg-toolkit-installer.
  * Specify a deb revision as *.debN so as not to cause confusion as to what
    version of the NVIDIA Cg Toolkit this installs.
  * Added TODO.Debian.
  * Closing bug about not being able to install after sid update.
    + A new script is about to be used. Please reopen if issue still occurs.
    + Closes: #465971
  * Adding README file from NVIDIA Cg Toolkit to documentation.
  * Making the Cg compiler executable.

 -- Andres Mejia <mcitadel@gmail.com>  Sat, 23 Feb 2008 19:51:02 -0500

## nvidia-cg-toolkit 2.0.0015.deb3

=== debian/changelog ===
nvidia-cg-toolkit (2.0.0015.deb3) unstable; urgency=low

  * Fixed all gentle warnings in script found with Perl::Critic.
  * This also fixes some bugs reporting Perl warnings.
    (Closes: #502234)
    (Closes: #503331)

 -- Andres Mejia <mcitadel@gmail.com>  Sun, 16 Nov 2008 10:07:18 -0500

nvidia-cg-toolkit (2.0.0015.deb2) unstable; urgency=low

  * Adding Japanese translations. (Closes: #493566)
  * Addressing command-with-path-in-maintainer-script lintian warning.

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 09 Oct 2008 14:35:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: nvidia-cg-toolkit
 Section: contrib/libs
-Priority: optional
+Priority: extra
 Maintainer: Federico Di Gregorio <fog@debian.org>
 Uploaders: Andres Mejia <mcitadel@gmail.com>
 Build-Depends: debhelper (>> 4.1.16), po-debconf
 Homepage: http://developer.nvidia.com/object/cg_toolkit.html
 Vcs-Git: git://git.debian.org/git/collab-maint/nvidia-cg-toolkit.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/nvidia-cg-toolkit.git
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
+DM-Upload-Allowed: yes
 
 Package: nvidia-cg-toolkit
 Architecture: i386 amd64
-Depends: python, debconf | debconf-2.0
+Depends: perl, libwww-perl, libcompress-zlib-perl, ${misc:Depends}
 Provides: libcg, libcggl
 Conflicts: libcg, libcggl
 Description: NVIDIA Cg Toolkit Installer
  This package only contains the installer for the NVIDIA Cg Toolkit. The
  installer will download the NVIDIA Cg Toolkit from the NVIDIA Developer's
- website and install each file according to Debian Policy. This package
- installs the Cg toolkit released in December 2007.
+ website and install each file according to Debian Policy.
  .
  The Cg Toolkit provides a compiler for the Cg 2.0 language, runtime libraries
  for use with both leading graphics APIs, runtime libraries for CgFX, example

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	pod2man --center="NVIDIA Cg Toolkit Installer" \
			--release=$(shell dpkg-parsechangelog | grep "Version" | cut -d ' ' -f 2) \
			nvidia-cg-toolkit-installer \
			nvidia-cg-toolkit-installer.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f nvidia-cg-toolkit-installer.1 ] || rm nvidia-cg-toolkit-installer.1
	[ ! -f build-stamp ] || rm build-stamp
	debconf-updatepo
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install nvidia-cg-toolkit-installer usr/bin
	install -m 644 debian/nvidia-cg-toolkit.doc-base \
		debian/nvidia-cg-toolkit/usr/share/doc-base/nvidia-cg-toolkit

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs
# Install appropriate manifest for appropriate architecture
ifeq ($(shell dpkg --print-architecture),i386)
	dh_installdocs debian/manifest-i386.Debian
endif
ifeq ($(shell dpkg --print-architecture),amd64)
	dh_installdocs debian/manifest-amd64.Debian
endif
	dh_installman nvidia-cg-toolkit-installer.1
	dh_install debian/nvidia-cg-toolkit.override usr/share/lintian/overrides
	mv debian/nvidia-cg-toolkit/usr/share/lintian/overrides/nvidia-cg-toolkit.override \
		debian/nvidia-cg-toolkit/usr/share/lintian/overrides/nvidia-cg-toolkit
	dh_installchangelogs
	dh_installdebconf
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## nvidia-cg-toolkit 2.1.0017.deb1

=== debian/changelog ===
nvidia-cg-toolkit (2.1.0017.deb1) unstable; urgency=low

  * Fixed installer for Cg release 2.1.0017
  * Fixed all lintian warnings

 -- Federico Di Gregorio <fog@debian.org>  Thu, 19 Mar 2009 00:06:30 +0100

## nvidia-cg-toolkit 2.1.0017.deb1+nmu1

=== debian/changelog ===
nvidia-cg-toolkit (2.1.0017.deb1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Galician (Marce Villarino).  Closes: #512440
    - Czech (Miroslav Kure).  Closes: #559608
    - Spanish (Francisco Javier Cuadrado).  Closes: #559866

 -- Christian Perrier <bubulle@debian.org>  Tue, 08 Dec 2009 22:10:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,23 @@
 Priority: extra
 Maintainer: Federico Di Gregorio <fog@debian.org>
 Uploaders: Andres Mejia <mcitadel@gmail.com>
-Build-Depends: debhelper (>> 4.1.16), po-debconf
+Build-Depends: debhelper (>=7), po-debconf
 Homepage: http://developer.nvidia.com/object/cg_toolkit.html
 Vcs-Git: git://git.debian.org/git/collab-maint/nvidia-cg-toolkit.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/nvidia-cg-toolkit.git
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 DM-Upload-Allowed: yes
 
 Package: nvidia-cg-toolkit
 Architecture: i386 amd64
-Depends: perl, libwww-perl, libcompress-zlib-perl, ${misc:Depends}
+Depends: ${misc:Depends}, perl, libwww-perl, libcompress-zlib-perl, debconf | debconf-2.0
 Provides: libcg, libcggl
 Conflicts: libcg, libcggl
 Description: NVIDIA Cg Toolkit Installer
  This package only contains the installer for the NVIDIA Cg Toolkit. The
  installer will download the NVIDIA Cg Toolkit from the NVIDIA Developer's
- website and install each file according to Debian Policy.
+ website and install each file according to Debian Policy. This package
+ installs the Cg toolkit released in December 2007.
  .
  The Cg Toolkit provides a compiler for the Cg 2.0 language, runtime libraries
  for use with both leading graphics APIs, runtime libraries for CgFX, example

## nvidia-cg-toolkit 2.1.0017.deb1+nmu3

=== debian/changelog ===
nvidia-cg-toolkit (2.1.0017.deb1+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix encoding of Danish debconf translation.

 -- Christian Perrier <bubulle@debian.org>  Tue, 11 Jan 2011 22:05:15 +0100

nvidia-cg-toolkit (2.1.0017.deb1+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Italian (Vincenzo Campanella).  Closes: #560361
    - Vietnamese (Clytie Siddall).  Closes: #569653
    - Danish (Joe Hansen).  Closes: #582866

 -- Christian Perrier <bubulle@debian.org>  Mon, 31 May 2010 07:18:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,9 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	dh_install nvidia-cg-toolkit-installer usr/bin
-	install -m 644 debian/nvidia-cg-toolkit.doc-base \
-		debian/nvidia-cg-toolkit/usr/share/doc-base/nvidia-cg-toolkit
 
 # Build architecture-independent files here.
 binary-indep:

## nvidia-cg-toolkit 3.0.0007

=== debian/changelog ===
nvidia-cg-toolkit (3.0.0007-0ubuntu1) maverick; urgency=low

  * New upstream release.
    Closes: #506494, #539418. LP: #365229.
  * Use upstream's tarballs as source instead of downloading during postinst,
    as redistribution is now permitted. The package is now non-free.
    Closes: #502457. LP: #284750, #524740, #254084.
  * Switch to source format 3.0 (quilt) to use multiple upstream tarballs.
    Add get-orig-source to fetch tarballs.
  * Use minimal dh rules.
  * Bump standards version to 3.9.1 (no changes needed).
  * Added (simple) watch file.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 12 Sep 2010 11:57:40 +0200

=== debian/control ===
Source: nvidia-cg-toolkit
Section: non-free/libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Federico Di Gregorio <fog@debian.org>
Uploaders: Andres Mejia <mcitadel@gmail.com>
Build-Depends:
 debhelper (>=7.0.50~),
 libglu1-mesa-dev,
 libice-dev,
 libsm-dev,
 libx11-dev,
 libxext-dev,
 libxi-dev,
 libxmu-dev,
 libxt-dev,
 perl,
Homepage: http://developer.nvidia.com/object/cg_toolkit.html
Vcs-Git: git://git.debian.org/git/collab-maint/nvidia-cg-toolkit.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/nvidia-cg-toolkit.git
Standards-Version: 3.9.1
DM-Upload-Allowed: yes

Package: nvidia-cg-toolkit
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libcg, libcggl
Conflicts: libcg, libcggl
Description: Cg Toolkit - GPU Shader Authoring Language
 The Cg Toolkit provides a compiler for the Cg language, runtime libraries for
 use with both leading graphics APIs, runtime libraries for CgFX, example
 applications, and extensive documentation. Supporting over 25 different OpenGL
 and DirectX profile targets, Cg 2.0 will allow you to incorporate stunning
 interactive effects into your 3D applications.
 .
 The components include:
  * NVIDIA Cg Compiler
  * Cg/CgFX Runtime libraries for OpenGL and Direct3D
  * Cg User's Manual
  * Documentation for the Cg
  * Language Specification, runtime APIs, Cg standard library, CgFX states,
    and the Cg profiles.
  * Cg examples

=== debian/rules ===
#!/usr/bin/make -f

RELEASE = 3.0
PATCH = 0007
FN_VER = July2010
VER = $(RELEASE).$(PATCH)

PKG_BUILD_DIR = $(CURDIR)/debian/nvidia-cg-toolkit

%:
	dh $@

override_dh_install:
	sed -re 's/@ARCH@/$(shell dpkg-architecture -qDEB_HOST_ARCH)/g' \
	    debian/install.in > debian/install
	dh_install
	prename 's/\.(Cg(FX)?)$$/\.3$$1/' $(PKG_BUILD_DIR)/usr/share/man/man3/*
	sed -i -re 's/^\.TH (.+?) Cg/.TH \1 3Cg/' $(PKG_BUILD_DIR)/usr/share/man/man3/*
	find $(PKG_BUILD_DIR)/usr/share/doc/nvidia-cg-toolkit/examples \
	     -name '*.vcproj' -delete

override_dh_clean:
	dh_clean debian/install

URLBASE = http://developer.download.nvidia.com/cg/Cg_$(RELEASE)/Cg-$(RELEASE)_$(FN_VER)

get-orig-source:
	wget $(URLBASE)_x86.tgz -O nvidia-cg-toolkit_$(VER).orig-i386.tar.gz; \
	wget $(URLBASE)_x86_64.tgz -O nvidia-cg-toolkit_$(VER).orig-amd64.tar.gz; \
	mkdir nvidia-cg-toolkit-$(VER); \
	wget $(URLBASE)_LanguageSpecification.pdf \
	     -O nvidia-cg-toolkit-$(VER)/LanguageSpecification.pdf; \
	GZIP=--best tar -cz --owner root --group root \
	                -f nvidia-cg-toolkit_$(VER).orig.tar.gz \
	                nvidia-cg-toolkit-$(VER); \
	rm -rf nvidia-cg-toolkit-$(VER)

=== debian/watch ===
version=3

opts=dversionmangle=s/0007$/July2010/ \
 http://developer.nvidia.com/object/cg_download.html \
 http://developer.download.nvidia.com/cg/Cg_.*/Cg-(.+)_(.+)_x86.tgz
